image: python:3.6

stages: 
  - unit-test
  - acceptance-test

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache"
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task

cache: 
  paths: 
    - .cache/pip
    - venv

unit test:
  stage: unit-test
  before_script:
  - python -V
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate
  - pip install -r requirements.txt
  script:
  - nosetests --exe --with-coverage --cover-xml --with-xunit
  artifacts:
    paths: 
      - nosetests.xml
      - coverage.xml
    expire_in: 1 week
    reports:
      junit: nosetests.xml

acceptance test: 
  stage: acceptance-test
  before_script:
  - python -V
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate
  - pip install -r requirements.txt
  script: 
  - behave
